Get All Projects

Get All Projects
Get all projects

Get all projects with specified paging parameters.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/project-service/api/projects
COPY
Query Parameters
boolean
excludeViewer
Optional

Filters projects based on the viewer role. When the value is true it will not return the projects in which the current user is only viewer and will ignore privileged roles: CodeStream:Developer and CodeStream:Executor, if the user has them. Else it will return all projects that the user can read. The default value is false.

boolean
excludeSupervisor
Optional
Constraints: default: true

Filters projects based on the supervisor role. When the value istrue it will not return the projects in which the current user is having only supervisor role

boolean
excludeNotSharedProjectsForMember
Optional

Filters projects based on the member role and the access to the resources of the project. When the value is true it will not return the projects in which the current user is only member and the project is not with shared resources.

string of array
withAnyPermission
Optional

Optional permissions that, if granted to the users, allow them access to the proper set of projects. If the user actually has any of those permissions, the 'excludeViewer' parameter has no effect.

string
$select
Optional

Select a subset of properties to include in the response. Possible values for this parameter are id, name, description, operationTimeout, constraints. Id will always be included in the response

$select example
id,name,constraints
integer
page
Optional
Constraints: default: 0

Results page you want to retrieve (0..N)

page example
5
integer
size
Optional
Constraints: default: 500

Number of records per page.

size example
100
string
$orderby
Optional

Sorting criteria in the format: property (asc | desc). Default sort order is ascending.

string
apiVersion
Optional
Constraints: default: 2019-01-15

The version of the API in yyyy-MM-dd format. For versioning information refer to /project-service/api/about.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with projects on pages

Returns PageOfProjects of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "my-name",
            "description": "my-description",
            "orgId": "string",
            "administrators": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "members": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "viewers": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "supervisors": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "users": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "auditors": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "advancedUsers": [
                {
                    "email": "[email protected]",
                    "type": "user"
                }
            ],
            "constraints": {
                "network": {
                    "conditions": [
                        {
                            "type": "TAG",
                            "enforcement": "HARD",
                            "occurrence": "MUST_OCCUR",
                            "expression": {
                                "key": "key",
                                "value": "value"
                            }
                        }
                    ]
                }
            },
            "properties": {
                "myproperty": "enforcement",
                "__projectPlacementPolicy": "SPREAD",
                "__namingTemplate": "my-resource-template",
                "__allowTerraformCloudzoneMapping": "true"
            },
            "cost": {
                "cost": "number",
                "costSyncTime": "2011-12-03T10:15:30Z",
                "costUnit": "USD",
                "message": "string",
                "code": "string"
            },
            "operationTimeout": 0,
            "sharedResources": false
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized, the user is not authenticated

Operation doesn't return any data structure

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/project-service/api/projects